unit OpenWeb;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TOpenWebForm = class(TForm)
    URLHistoryBox: TComboBox;
    URLLabel: TLabel;
    OKButton: TButton;
    CancelButton: TButton;
    BrowseButton: TButton;
    procedure OKButtonClick(Sender: TObject);
    procedure BrowseButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OpenWebForm: TOpenWebForm;

implementation

uses Main, FileWork, RegWork;

{$R *.DFM}

procedure TOpenWebForm.OKButtonClick(Sender: TObject);
begin
  MainForm.WBrowserNavigate(URLHistoryBox.Text);
  if URLHistoryBox.Text<>'' then
    if URLHistoryBox.Items.IndexOf(URLHistoryBox.Text) = -1 then
      URLHistoryBox.Items.Insert(0, URLHistoryBox.Text)
    else
      URLHistoryBox.Items.Move(URLHistoryBox.Items.IndexOf(URLHistoryBox.Text),0);
  URLHistoryBox.Items.Delete(21);
  end;

procedure TOpenWebForm.BrowseButtonClick(Sender: TObject);
begin
  FileWork.FWDialogInit(MainForm.OpenDialog1,'','','Open Web',false);
  if MainForm.OpenDialog1.Execute then
    URLHistoryBox.Text := MainForm.OpenDialog1.FileName;
  end;

procedure TOpenWebForm.FormShow(Sender: TObject);
begin
  URLHistoryBox.Text := '';
  end;

procedure TOpenWebForm.FormCreate(Sender: TObject);
begin
  RegWork.SetURLHistoryBox;
  end;

end.
