{*******************************************************}
{                                                       }
{                     HTMLCoolEdit                      }
{                                                       }
{           Copyright (c) 1999-2000 PROFOX              }
{                                                       }
{*******************************************************}

unit Splash;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TSplashForm = class(TForm)
    SplashPanel: TPanel;
    ProfoxImage: TImage;
    Label2: TLabel;
    VersionLabel: TLabel;
    LoadingLabel: TLabel;
    CaptionImage: TImage;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  public
    AppVersion:string;
  end;

var
  SplashForm: TSplashForm;

implementation

uses About, ResWork;

{$R *.DFM}

procedure TSplashForm.FormShow(Sender: TObject);
begin
  VersionLabel.Caption:=VersionLabel.Caption+AppVersion;
  end;

procedure TSplashForm.FormCreate(Sender: TObject);
begin
  Color:=$02C0C0C0;
  ResWork.LoadJPEGFromRes('PROFOX', ProfoxImage.Picture);
  end;

end.
